using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace AJAXCore.Models {
  public class Member {
    [Key]
    [Column(TypeName = "nvarchar(64)")]
    [StringLength(64)]
    public string Name { get; set; }

    [Column(TypeName = "nvarchar(64)")]
    [StringLength(64)]
    public string Password { get; set; }

    [Column(TypeName = "nvarchar(255)")]
    [StringLength(255)]
    public string EMail { get; set; }
  }
}
